﻿@using WebServiceBook.ViewModels
@model  UpdateViewModel

<!DOCTYPE html>

<html>
<head>
    <meta name="viewport" content="width=device-width" />
    <title>Update vehicle</title>
</head>
<body>
    <h3>@Model.Title</h3>
    <form action="/Update/UpdateVehicle" method="put">
                  <input type="hidden" id="ID" name="VehicleID" value=@Model.Vehicle.VehicleID />
            Name: <input type="text" id="TxtName" name="Name" value=@Model.Vehicle.Name /><br />
            Type: <input type="text" id="TxtType" name="Type" value=@Model.Vehicle.Type /><br />
            <input type="submit" name="BtnSubmit" value="Update" />
            <input type="button" name="BtnReset" value="Reset" onclick="ResetForm();" />
            <input type="button" name="BtnSubmit" value="Cancel" onclick="location.href='@Url.Action("Index", "Main")'"/>
        </form>
</body>
</html>

<script>
    function ResetForm() {
        // null reference exception
        document.getElementById('TxtName').value = '@Model.Vehicle.Name';
        document.getElementById('TxtType').value = '@Model.Vehicle.Type';
    }
</script>

